/*******************************************************************************
 Mobicq - J2ME ICQ client
 Copyright (C) 2003  Manuel Linsmayer

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ********************************************************************************
 File: src/org/mobicq/comm/KeepAliveTimerTask.java
 Version: 0.1b5  Date: 2003/08/25
 Author: Manuel Linsmayer
 *******************************************************************************/

package org.mobicq.comm;


import org.mobicq.Mobicq;
import org.mobicq.MobicqException;

import java.util.TimerTask;


public class KeepAliveTimerTask extends TimerTask
{


  // Ping interval
  public static final int ALIVE_INTERVAL = 120 * 1000; // milliseconds


  // ICQ object
  protected Icq icq;


  // Set ICQ object
  protected void setIcq(Icq icq)
  {
    this.icq = icq;
  }


  // Send an alive packet
  public void run()
  {

    // If STATE_CONNECTED is active, we've already got an reference to the ICQ object and the corresponding option has been set, send an alive packet
    if ((this.icq != null) && this.icq.isConnected() && Mobicq.mobicq.getOptionsRef().isKeepConnAlive())
    {

      // Instantiate and send an alive packet
      try
      {
        this.icq.c.sendPacket(new PingPacket());
      }
      catch (MobicqException e)
      {
        MobicqException.handleException(e);
        if (e.isCritical()) this.cancel();
      }

    }

  }


}
