/*******************************************************************************
 Mobicq - J2ME ICQ client
 Copyright (C) 2003  Manuel Linsmayer

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ********************************************************************************
 File: src/org/mobicq/comm/PlainMessage.java
 Version: 0.1b5  Date: 2003/08/25
 Author: Manuel Linsmayer
 *******************************************************************************/


package org.mobicq.comm;


import java.util.Date;


public class PlainMessage extends Message
{


  // Mobicq Advertisement
  public static final String ADVERTISEMENT = "\n \n* Sent using www.Mobicq.org";


  // Message text
  private String text;


  // Constructor
  public PlainMessage(String sndrUin, String rcvrUin, Date date, String text, boolean displayAdvertisement)
  {
    this.sndrUin = new String(sndrUin);
    this.rcvrUin = new String(rcvrUin);
    this.date = new Date(date.getTime());
    if (displayAdvertisement)
    {
      this.text = text + PlainMessage.ADVERTISEMENT;
    }
    else
    {
      this.text = new String(text);
    }
  }


  // Constructor
  public PlainMessage(String sndrUin, String rcvrUin, Date date, String text)
  {
    this(sndrUin, rcvrUin, date, text, false);
  }


  // Returns the message text
  public String getText()
  {
    return (new String(this.text));
  }


}
